Quassel IRC - Feature #337

Please add some sort of netsplit detection to stop the WALL OF TEXT
10/06/2008 01:08 PM - TerrorBite

Status: Resolved Start date:

Priority: High Due date:

Assignee: seezer % Done: 90%
Category: Quassel Core Estimated time: 0.00 hour

Target version:
0S: Any

Description
Thanks!

History

#1 - 10/06/2008 01:56 PM - EgS

Detecting a netsplit is somewhat easy... what is difficult is:

when a netsplit occurs the server sends one quit message per user. We would have to buffer those messages until the last one is sent, so we can
remove the users as a bulk. The question is: which one is the last quit message?

#2 - 05/01/2009 06:04 PM - LucidFox

| concur. You could probably look at the way netsplit detection is implemented in irssi.

#3 - 05/20/2009 01:16 PM - Sputnick

- Status changed from New to Confirmed

Question is we need to bulk-remove the users, or if just not showing the messages is already enough to fix the performance issue. To detect the end
of it, one could probably just use a timeout (a second or so should be enough, since | assume that the QUIT msgs are sent en-block by the server)
and then send a summary message to inform the GUL.

#4 - 07/28/2009 03:11 PM - seezer

- Assignee set to seezer

#5 - 07/30/2009 05:45 PM - seezer
- % Done changed from 0 to 90

Coreside work is done. For the clientside representation, I'll wait for the new fancy styling stuff to be merged into master. So you'll get pretty raw
messages - but only one join/quit for each netsplit.

Work is done in my netsplit branch available at:

http://git.roath.org/? uassel.git;a=shortlog;h=refs/heads/netsplit

Note that the branch will be rebased after Sput's styling magic hit master.

#6 - 03/09/2010 09:34 PM - johu

is this done? if yes, assign to specific version and mark as resolved, please.

#7 - 05/01/2010 05:03 AM - seezer

- Status changed from Confirmed to Resolved

As of f{d80315c076ede937f5d51ba6f8061a32d0107ec we have netsplit handling - even though it will see a major rewrite in the future...
